## groonga 14.0.0

=== debian/changelog ===
groonga (14.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 29 Feb 2024 09:11:52 -0000

=== debian/control ===
Source: groonga
Section: database
Priority: optional
Maintainer: Groonga Project <packages@groonga.org>
Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
Build-Depends:
  cmake,
  debhelper (>= 9),
  libevent-dev,
  libjemalloc-dev,
  liblz4-dev,
  libmecab-dev,
  libmsgpack-dev,
  libpcre3-dev,
  libssl-dev,
  libstemmer-dev,
# Broken. xtl-dev dependency is missing.
#  libxsimd-dev,
  libxxhash-dev,
  libzmq3-dev | libzmq-dev,
  libzstd-dev,
  ninja-build,
  pkg-config,
  rapidjson-dev,
  zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://groonga.org/

Package: groonga
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  groonga-bin (= ${binary:Version}),
  groonga-plugin-suggest (= ${binary:Version}),
  groonga-doc (= ${source:Version})
Description: Fulltext search engine (metapackage for library use)
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package depends all Groonga related package for library use.

Package: groonga-server-common
Architecture: all
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  adduser,
  groonga-bin (>= ${source:Version})
Description: Fulltext search engine (metapackage for server use)
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides common settings for server use.

Package: groonga-server-http
Architecture: all
Replaces: groonga-server (<< 2.0.7-1)
Breaks: groonga-server (<< 2.0.7-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  groonga-server-common (= ${binary:Version})
Description: Fulltext search engine (metapackage for HTTP server use)
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package depends all Groonga related package for HTTP server use.

Package: groonga-server-gqtp
Architecture: all
Replaces: groonga-server (<< 2.0.7-1)
Breaks: groonga-server (<< 2.0.7-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  lsb-base,
  groonga-server-common (= ${binary:Version})
Description: Fulltext search engine (metapackage for GQTP server use)
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package depends all Groonga related package for GQTP server use.

Package: libgroonga-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libgroonga (<< 1.2.0-1)
Breaks: libgroonga (<< 1.2.0-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (= ${binary:Version}),
  libmsgpack-dev,
  pkg-config
Description: Development files to use Groonga as a library
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides header files to use Groonga as a library.

Package: libgroonga0
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libgroonga (<< 1.2.0-1)
Breaks: libgroonga (<< 1.2.0-1)
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Library files for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides library files.

Package: groonga-tokenizer-mecab
Section: libs
Architecture: any
Replaces: libgroonga-tokenizer-mecab (<< 1.2.0-1)
Breaks: libgroonga-tokenizer-mecab (<< 1.2.0-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (= ${binary:Version}),
  mecab-naist-jdic | mecab-jumandic-utf8
Description: MeCab tokenizer for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides MeCab tokenizer.

#Package: groonga-tokenizer-h3-index
#Section: libs
#Architecture: any
#Depends:
#  ${misc:Depends},
#  ${shlibs:Depends},
#  libgroonga0 (= ${binary:Version})
#Description: H3 index tokenizer for Groonga
# Groonga is an open-source fulltext search engine and column store.
# It lets you write high-performance applications that requires fulltext search.
# .
# This package provides H3 index tokenizer.

Package: groonga-token-filter-stem
Section: libs
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (= ${binary:Version}),
  libstemmer0d
Description: Stemming token filter for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides TokenFilterStem token filter that stem each token.
 The token filter uses libstemmer that uses stemming algorithm written
 by Snowball.

Package: groonga-plugin-suggest
Section: libs
Architecture: any
Replaces: libgroonga-plugin-suggest (<< 1.2.0-1)
Breaks: libgroonga-plugin-suggest (<< 1.2.0-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (= ${binary:Version})
Description: Suggest plugin for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides suggest plugin.

Package: groonga-bin
Architecture: any
Replaces: groonga (<< 1.2.0-1)
Breaks: groonga (<< 1.2.0-1)
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (= ${binary:Version})
Description: Commands for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides 'groonga' command.

Package: groonga-doc
Section: doc
Architecture: all
Depends:
  ${misc:Depends},
  libjs-underscore,
  libjs-jquery
Description: Documentation of Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides documentation of Groonga.

Package: groonga-examples
Architecture: all
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  groonga-bin (>= ${source:Version}),
  ruby
Description: Examples of Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides examples of Groonga.

Package: groonga-munin-plugins
Section: net
Architecture: all
Depends:
  ${misc:Depends},
  groonga-bin (>= ${source:Version}),
  munin-node,
  ruby
Description: munin-node plugins for Groonga
 Groonga is an open-source fulltext search engine and column store.
 It lets you write high-performance applications that requires fulltext search.
 .
 This package provides munin-node plugins to monitor Groonga.

## groonga 14.0.1

=== debian/changelog ===
groonga (14.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 14 Mar 2024 09:09:56 -0000

## groonga 14.0.2

=== debian/changelog ===
groonga (14.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 29 Mar 2024 02:31:16 -0000

=== debian/control ===
--- 
+++ 
@@ -132,18 +132,19 @@
  .
  This package provides MeCab tokenizer.
 
-#Package: groonga-tokenizer-h3-index
+#Package: groonga-plugin-h3
 #Section: libs
 #Architecture: any
 #Depends:
 #  ${misc:Depends},
 #  ${shlibs:Depends},
 #  libgroonga0 (= ${binary:Version})
-#Description: H3 index tokenizer for Groonga
+#Description: H3 related plugin for Groonga
 # Groonga is an open-source fulltext search engine and column store.
 # It lets you write high-performance applications that requires fulltext search.
 # .
-# This package provides H3 index tokenizer.
+# This package provides TokenH3Index by tokenizers/h3_index and
+# h3_*() functions by functions/h3.
 
 Package: groonga-token-filter-stem
 Section: libs

## groonga 14.0.3

=== debian/changelog ===
groonga (14.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 09 May 2024 05:58:52 -0000

## groonga 14.0.4

=== debian/changelog ===
groonga (14.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 28 May 2024 08:48:42 -0000

=== debian/control ===
--- 
+++ 
@@ -132,19 +132,19 @@
  .
  This package provides MeCab tokenizer.
 
-#Package: groonga-plugin-h3
-#Section: libs
-#Architecture: any
-#Depends:
-#  ${misc:Depends},
-#  ${shlibs:Depends},
-#  libgroonga0 (= ${binary:Version})
-#Description: H3 related plugin for Groonga
-# Groonga is an open-source fulltext search engine and column store.
-# It lets you write high-performance applications that requires fulltext search.
-# .
-# This package provides TokenH3Index by tokenizers/h3_index and
-# h3_*() functions by functions/h3.
+Package: groonga-plugin-h3
+Section: libs
+Architecture: any
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libgroonga0 (= ${binary:Version})
+Description: H3 related plugin for Groonga
+ Groonga is an open-source fulltext search engine and column store.
+ It lets you write high-performance applications that requires fulltext search.
+ .
+ This package provides TokenH3Index by tokenizers/h3_index and
+ h3_*() functions by functions/h3.
 
 Package: groonga-token-filter-stem
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	if dpkg -l libarrow-dev > /dev/null 2>&1; then		\
	  GRN_WITH_APACHE_ARROW=ON;				\
	else							\
	  GRN_WITH_APACHE_ARROW=OFF;				\
	fi;							\
	dh_auto_configure					\
	  --buildsystem=cmake+ninja				\
	  --							\
	  -DCMAKE_BUILD_TYPE=RelWithDebInfo			\
	  -DFETCHCONTENT_FULLY_DISCONNECTED=OFF			\
	  -DGRN_WITH_APACHE_ARROW=$${GRN_WITH_APACHE_ARROW}	\
	  -DGRN_WITH_BLOSC=bundled				\
	  -DGRN_WITH_DOC=ON					\
	  -DGRN_WITH_EXAMPLES=ON				\
	  -DGRN_WITH_MRUBY=ON					\
	  -DGRN_WITH_MUNIN_PLUGINS=ON

# disable 'make check'.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install				\
	  --buildsystem=cmake+ninja
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ -name *.la -delete
	install -d debian/tmp/etc/munin/plugin-conf.d/
	install -m 0644 debian/groonga-munin-plugins.conf \
	  debian/tmp/etc/munin/plugin-conf.d/groonga
	mv debian/tmp/usr/share/doc/groonga/ \
	  debian/tmp/usr/share/doc/groonga-doc/

## groonga 14.0.5

=== debian/changelog ===
groonga (14.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 26 Jun 2024 07:55:16 -0000

## groonga 14.0.5%2Bdfsg

=== data/html/CMakeLists.txt ===
# Copyright(C) 2012 Brazil
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

install(DIRECTORY admin DESTINATION "${GRN_DATA_DIR}/html")

=== plugins/functions/CMakeLists.txt ===
# Copyright (C) 2015-2018  Brazil
# Copyright (C) 2024  Sutou Kouhei <kou@clear-code.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

set(GRN_FUNCTIONS_PLUGIN_DIR "${GRN_RELATIVE_PLUGINS_DIR}/functions")

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/vector_sources.am VECTOR_SOURCES)
set_source_files_properties(${VECTOR_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${GRN_C_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(vector_functions STATIC ${VECTOR_SOURCES})
  set_target_properties(vector_functions PROPERTIES POSITION_INDEPENDENT_CODE
                                                    ON)
else()
  add_library(vector_functions MODULE ${VECTOR_SOURCES})
  set_target_properties(vector_functions PROPERTIES PREFIX "" OUTPUT_NAME
                                                              "vector")
  install(TARGETS vector_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC AND CMAKE_VERSION VERSION_GREATER "3.1")
    install(
      FILES $<TARGET_PDB_FILE:vector_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(vector_functions libgroonga)

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/string_sources.am STRING_SOURCES)
set_source_files_properties(${STRING_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${GRN_C_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(string_functions STATIC ${STRING_SOURCES})
  set_target_properties(string_functions PROPERTIES POSITION_INDEPENDENT_CODE
                                                    ON)
else()
  add_library(string_functions MODULE ${STRING_SOURCES})
  set_target_properties(string_functions PROPERTIES PREFIX "" OUTPUT_NAME
                                                              "string")
  install(TARGETS string_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC)
    install(
      FILES $<TARGET_PDB_FILE:string_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(string_functions libgroonga onigmo)
target_include_directories(string_functions PRIVATE ${ONIGMO_INCLUDE_DIRS})

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/number_sources.am NUMBER_SOURCES)
set_source_files_properties(${NUMBER_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${GRN_CXX_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(number_functions STATIC ${NUMBER_SOURCES})
  set_target_properties(number_functions PROPERTIES POSITION_INDEPENDENT_CODE
                                                    ON)
else()
  add_library(number_functions MODULE ${NUMBER_SOURCES})
  set_target_properties(number_functions PROPERTIES PREFIX "" OUTPUT_NAME
                                                              "number")
  install(TARGETS number_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC)
    install(
      FILES $<TARGET_PDB_FILE:number_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(number_functions libgroonga "${M_LIBS}")

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/time_sources.am TIME_SOURCES)
set_source_files_properties(${TIME_SOURCES} PROPERTIES COMPILE_FLAGS
                                                       "${GRN_C_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(time_functions STATIC ${TIME_SOURCES})
  set_target_properties(time_functions PROPERTIES POSITION_INDEPENDENT_CODE ON)
else()
  add_library(time_functions MODULE ${TIME_SOURCES})
  set_target_properties(time_functions PROPERTIES PREFIX "" OUTPUT_NAME "time")
  install(TARGETS time_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC)
    install(
      FILES $<TARGET_PDB_FILE:time_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(time_functions libgroonga)

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/index_column_sources.am
               INDEX_COLUMN_SOURCES)
set_source_files_properties(${INDEX_COLUMN_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${GRN_C_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(index_column_functions STATIC ${INDEX_COLUMN_SOURCES})
  set_target_properties(index_column_functions
                        PROPERTIES POSITION_INDEPENDENT_CODE ON)
else()
  add_library(index_column_functions MODULE ${INDEX_COLUMN_SOURCES})
  set_target_properties(index_column_functions
                        PROPERTIES PREFIX "" OUTPUT_NAME "index_column")
  install(TARGETS index_column_functions
          DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC)
    install(
      FILES $<TARGET_PDB_FILE:index_column_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(index_column_functions libgroonga)

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/math_sources.am MATH_SOURCES)
set_source_files_properties(${MATH_SOURCES} PROPERTIES COMPILE_FLAGS
                                                       "${GRN_C_COMPILE_FLAGS}")
if(GRN_EMBED)
  add_library(math_functions STATIC ${MATH_SOURCES})
  set_target_properties(math_functions PROPERTIES POSITION_INDEPENDENT_CODE ON)
else()
  add_library(math_functions MODULE ${MATH_SOURCES})
  set_target_properties(math_functions PROPERTIES PREFIX "" OUTPUT_NAME "math")
  install(TARGETS math_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
  if(MSVC)
    install(
      FILES $<TARGET_PDB_FILE:math_functions>
      DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
      OPTIONAL)
  endif()
endif()
target_link_libraries(math_functions libgroonga)

if(GRN_WITH_H3)
  set(H3_SOURCES h3.c)
  set_source_files_properties(${H3_SOURCES} PROPERTIES COMPILE_FLAGS
                                                       "${GRN_C_COMPILE_FLAGS}")
  if(GRN_EMBED)
    add_library(h3_functions STATIC ${H3_SOURCES})
    set_target_properties(h3_functions PROPERTIES POSITION_INDEPENDENT_CODE ON)
  else()
    add_library(h3_functions MODULE ${H3_SOURCES})
    set_target_properties(h3_functions PROPERTIES PREFIX "" OUTPUT_NAME "h3")
    install(TARGETS h3_functions DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}")
    if(MSVC)
      install(
        FILES $<TARGET_PDB_FILE:h3_functions>
        DESTINATION "${GRN_FUNCTIONS_PLUGIN_DIR}"
        OPTIONAL)
    endif()
  endif()
  target_link_libraries(h3_functions libgroonga)
endif()

=== debian/changelog ===
groonga (14.0.5+dfsg-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-hurd.patch
    - Refresh patch to fix FTBFS on hurd-i386

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 08 Jul 2024 22:25:37 +0900

groonga (14.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 14.0.5+dfsg

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 07 Jul 2024 17:57:13 +0900

groonga (13.1.1+dfsg-3) unstable; urgency=medium

  * debian/control
    - Fix E: libgroonga-dev: again.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Mar 2024 17:59:14 +0900

groonga (13.1.1+dfsg-2) unstable; urgency=medium

  * debian/control
    - Fix E: libgroonga-dev: depends-on-obsolete-package Depends:

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Mar 2024 16:49:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,36 @@
 Source: groonga
 Section: database
 Priority: optional
-Maintainer: Groonga Project <packages@groonga.org>
-Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
-Build-Depends:
-  cmake,
-  debhelper (>= 9),
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+  debhelper-compat (= 13),
+  pkgconf,
+  liblz4-dev,
+  zlib1g-dev,
+  libmsgpack-dev,
+  libzmq3-dev | libzmq-dev,
   libevent-dev,
-  libjemalloc-dev,
-  liblz4-dev,
   libmecab-dev,
-  libmsgpack-dev,
-  libpcre3-dev,
+  libpcre2-dev,
+  libstemmer-dev,
+  libjemalloc-dev [!hurd-i386],
   libssl-dev,
-  libstemmer-dev,
-# Broken. xtl-dev dependency is missing.
-#  libxsimd-dev,
-  libxxhash-dev,
-  libzmq3-dev | libzmq-dev,
   libzstd-dev,
-  ninja-build,
-  pkg-config,
   rapidjson-dev,
-  zlib1g-dev
-Standards-Version: 3.9.8
+  python3-sphinx,
+  python3-pydata-sphinx-theme,
+  python3-myst-parser,
+  python3-linkify-it,
+  autoconf-archive,
+  libjs-jquery,
+  libjs-jquery-ui,
+  libjs-jquery-flot,
+  libjs-bootstrap
+Standards-Version: 4.6.2
 Homepage: https://groonga.org/
+Vcs-Browser: https://salsa.debian.org/debian/groonga/
+Vcs-Git: https://salsa.debian.org/debian/groonga.git
+Rules-Requires-Root: no
 
 Package: groonga
 Architecture: any
@@ -42,11 +48,13 @@
 
 Package: groonga-server-common
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
   adduser,
-  groonga-bin (>= ${source:Version})
+  groonga (>= ${source:Version}),
+  procps
 Description: Fulltext search engine (metapackage for server use)
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -54,28 +62,28 @@
  This package provides common settings for server use.
 
 Package: groonga-server-http
+Architecture: all
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  groonga-server-common (= ${binary:Version})
+Description: Fulltext search engine (metapackage for HTTP server use)
+ Groonga is an open-source fulltext search engine and column store.
+ It lets you write high-performance applications that requires fulltext search.
+ .
+ This package depends all Groonga related package for HTTP server use.
+
+Package: groonga-server-gqtp
 Architecture: all
 Replaces: groonga-server (<< 2.0.7-1)
 Breaks: groonga-server (<< 2.0.7-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  groonga-server-common (= ${binary:Version})
-Description: Fulltext search engine (metapackage for HTTP server use)
- Groonga is an open-source fulltext search engine and column store.
- It lets you write high-performance applications that requires fulltext search.
- .
- This package depends all Groonga related package for HTTP server use.
-
-Package: groonga-server-gqtp
-Architecture: all
-Replaces: groonga-server (<< 2.0.7-1)
-Breaks: groonga-server (<< 2.0.7-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  lsb-base,
-  groonga-server-common (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  adduser,
+  groonga-server-common (= ${binary:Version}),
+  sysvinit-utils (>= 3.05-4)
 Description: Fulltext search engine (metapackage for GQTP server use)
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -91,21 +99,21 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
-  libmsgpack-dev,
-  pkg-config
+  pkgconf,
+  libgroonga0t64 (= ${binary:Version})
 Description: Development files to use Groonga as a library
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
  .
  This package provides header files to use Groonga as a library.
 
-Package: libgroonga0
+Package: libgroonga0t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
-Replaces: libgroonga (<< 1.2.0-1)
-Breaks: libgroonga (<< 1.2.0-1)
+Replaces: libgroonga0, libgroonga (<< 1.2.0-1)
+Breaks: libgroonga0 (<< ${source:Version}), libgroonga (<< 1.2.0-1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
   ${misc:Depends},
@@ -124,7 +132,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
+  libgroonga0t64 (= ${binary:Version}),
   mecab-naist-jdic | mecab-jumandic-utf8
 Description: MeCab tokenizer for Groonga
  Groonga is an open-source fulltext search engine and column store.
@@ -132,28 +140,15 @@
  .
  This package provides MeCab tokenizer.
 
-Package: groonga-plugin-h3
-Section: libs
-Architecture: any
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
-Description: H3 related plugin for Groonga
- Groonga is an open-source fulltext search engine and column store.
- It lets you write high-performance applications that requires fulltext search.
- .
- This package provides TokenH3Index by tokenizers/h3_index and
- h3_*() functions by functions/h3.
-
 Package: groonga-token-filter-stem
 Section: libs
 Architecture: any
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
+  libgroonga0t64 (= ${binary:Version}),
   libstemmer0d
+Multi-Arch: same
 Description: Stemming token filter for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -170,7 +165,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
+  libgroonga0t64 (= ${binary:Version})
 Description: Suggest plugin for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -179,12 +174,13 @@
 
 Package: groonga-bin
 Architecture: any
-Replaces: groonga (<< 1.2.0-1)
-Breaks: groonga (<< 1.2.0-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libgroonga0t64 (= ${binary:Version}),
+  libjs-jquery,
+  libjs-jquery-ui,
+  libjs-jquery-flot
 Description: Commands for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -196,8 +192,11 @@
 Architecture: all
 Depends:
   ${misc:Depends},
+  libjs-bootstrap,
   libjs-underscore,
-  libjs-jquery
+  libjs-jquery,
+  libjs-sphinxdoc,
+  python3-pydata-sphinx-theme
 Description: Documentation of Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.

## groonga 14.0.6

=== debian/changelog ===
groonga (14.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 29 Jul 2024 02:36:24 -0000

## groonga 14.0.7

=== debian/changelog ===
groonga (14.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 03 Sep 2024 02:52:03 -0000

## groonga 14.0.8

=== debian/changelog ===
groonga (14.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 24 Sep 2024 09:12:02 -0000

## groonga 14.0.9

=== debian/changelog ===
groonga (14.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 27 Sep 2024 07:11:05 -0000

## groonga 14.1.0

=== debian/changelog ===
groonga (14.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 01 Nov 2024 09:35:27 -0000

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,11 @@
 	else							\
 	  GRN_WITH_APACHE_ARROW=OFF;				\
 	fi;							\
+	if [ "$$(lsb_release -cs)" = "focal" ]; then		\
+	  GRN_WITH_SIMDJSON=no;                                 \
+	else                                                    \
+	  GRN_WITH_SIMDJSON=auto;                               \
+	fi;                                                     \
 	dh_auto_configure					\
 	  --buildsystem=cmake+ninja				\
 	  --							\
@@ -30,7 +35,8 @@
 	  -DGRN_WITH_DOC=ON					\
 	  -DGRN_WITH_EXAMPLES=ON				\
 	  -DGRN_WITH_MRUBY=ON					\
-	  -DGRN_WITH_MUNIN_PLUGINS=ON
+	  -DGRN_WITH_MUNIN_PLUGINS=ON                           \
+	  -DGRN_WITH_SIMDJSON=$${GRN_WITH_SIMDJSON}
 
 # disable 'make check'.
 override_dh_auto_test:
